import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { BytesFilterObjectSchema as BytesFilterObjectSchema } from './BytesFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema'

const cloudfilechunkscalarwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => CloudFileChunkScalarWhereInputObjectSchema), z.lazy(() => CloudFileChunkScalarWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => CloudFileChunkScalarWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => CloudFileChunkScalarWhereInputObjectSchema), z.lazy(() => CloudFileChunkScalarWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  fileId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  seq: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  data: z.union([z.lazy(() => BytesFilterObjectSchema), z.instanceof(Uint8Array)]).optional(),
  createdAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional()
}).strict();
export const CloudFileChunkScalarWhereInputObjectSchema: z.ZodType<Prisma.CloudFileChunkScalarWhereInput> = cloudfilechunkscalarwhereinputSchema as unknown as z.ZodType<Prisma.CloudFileChunkScalarWhereInput>;
export const CloudFileChunkScalarWhereInputObjectZodSchema = cloudfilechunkscalarwhereinputSchema;
